# Style 1

# When the button is pressed, a tag is added to the stand used as a marker
execute as @e[tag=shower1,tag=!on2] at @s if block ~ ~-1 ~ stone_button[powered=true] run tag @s add on
# When the button is no longer pressed, one more tag is added to the stand used as a marker
execute as @e[tag=shower1,tag=on] at @s if block ~ ~-1 ~ stone_button[powered=false] run tag @s add on2
# The different moments when these two tags are added are used to time the particles and the sound applied to the shower
execute at @e[tag=shower1,tag=on] run particle dripping_water ^ ^-0.35 ^-0.25 0.07 0 0.07 0 10 force
execute at @e[tag=shower1,tag=on2] run particle falling_water ^ ^-0.35 ^-0.25 0.07 0 0.07 0 10 force
execute at @e[tag=shower1,tag=on2] run playsound minecraft:weather.rain master @a ~ ~ ~ 0.02
# When the button is pressed again, the first tag added is removed
execute as @e[tag=shower1,tag=on2] at @s if block ~ ~-1 ~ stone_button[powered=true] run tag @s remove on
# When the button is no longer pressed again, the second tag added is removed
execute as @e[tag=shower1,tag=on2,tag=!on] at @s if block ~ ~-1 ~ stone_button[powered=false] run tag @s remove on2
# The use of these two tags is fundamental for the functioning of the shower


# Style 2

# Same commands as before, changes only the permanent tag and where the effects are applied
execute as @e[tag=shower2,tag=!on2] at @s if block ~ ~-3 ~ stone_button[powered=true] run tag @s add on
execute as @e[tag=shower2,tag=on] at @s if block ~ ~-3 ~ stone_button[powered=false] run tag @s add on2
execute at @e[tag=shower2,tag=on] run particle dripping_water ^ ^-0.35 ^-0.25 0.07 0 0.07 0 10 force
execute at @e[tag=shower2,tag=on2] run particle falling_water ^ ^-0.35 ^-0.25 0.07 0 0.07 0 10 force
execute at @e[tag=shower2,tag=on2] run playsound minecraft:weather.rain master @a ~ ~ ~ 0.02
execute as @e[tag=shower2,tag=on2] at @s if block ~ ~-3 ~ stone_button[powered=true] run tag @s remove on
execute as @e[tag=shower2,tag=on2,tag=!on] at @s if block ~ ~-3 ~ stone_button[powered=false] run tag @s remove on2

# 2020-08-04
# These commands will constantly set the levers behind the each style2 stand to powered=false, so that players can't turn them on
execute at @e[tag=shower2] run fill ~ ~ ~-1 ~ ~ ~-1 lever[face=floor,facing=north,powered=false] replace lever[face=floor,facing=north,powered=true]
execute at @e[tag=shower2] run fill ~ ~ ~1 ~ ~ ~1 lever[face=floor,facing=south,powered=false] replace lever[face=floor,facing=south,powered=true]
execute at @e[tag=shower2] run fill ~1 ~ ~ ~1 ~ ~ lever[face=floor,facing=east,powered=false] replace lever[face=floor,facing=east,powered=true]
execute at @e[tag=shower2] run fill ~-1 ~ ~ ~-1 ~ ~ lever[face=floor,facing=west,powered=false] replace lever[face=floor,facing=west,powered=true]


# This work is licensed under a Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.
# You can monetize videos about this datapack; for any other exception, like modifying the datapack, you must first contact the creator.
# This data pack can be used freely; if you do intend to use this data pack for a custom map, you have to credit the creator, PmkExpert, in a visible way.
# Contact on Reddit for any question: https://www.reddit.com/user/Pmk23
# Visit Planet Minecraft for the latest updates: https://www.planetminecraft.com/member/pmk/
# Social Medias: https://twitter.com/PmkExpert https://www.youtube.com/user/Pmkexpert